#ifndef ANGLES_FILTER_H
#define ANGLES_FILTER_H


#include <vtkUnstructuredGridAlgorithm.h>
#include <vtkIdList.h>


void cellAngles(vtkDataSet *dataSet, vtkIdList *idList, double *angles);


class AnglesFilter : public vtkUnstructuredGridAlgorithm {
public:
	static AnglesFilter *New();
	vtkTypeMacro(AnglesFilter, vtkUnstructuredGridAlgorithm);
	vtkTypeBool RequestData(vtkInformation *request,
							vtkInformationVector **inputVector,
							vtkInformationVector *outputVector) override;

protected:
	~AnglesFilter() override = default;
};


#endif
